Last Comment Bug 551233 - Workers: Possible to release nsGlobalWindow on a background thread
: Workers: Possible to release nsGlobalWindow on a background thread
Status: RESOLVED FIXED
[sg:moderate] [qa-noaction-191] [qa-n...
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Ben Turner (not reading bugmail, use the needinfo flag!)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-09 11:49 PST by Ben Turner (not reading bugmail, use the needinfo flag!)
Modified: 2010-06-22 19:57 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
needed
.4-fixed
needed
.10-fixed


Attachments
Patch (843 bytes, patch)
2010-03-09 11:49 PST, Ben Turner (not reading bugmail, use the needinfo flag!)
jst: review+
jst: superreview+
mbeltzner: approval1.9.2.4+
mbeltzner: approval1.9.1.10+
Details | Diff | Splinter Review

Description Ben Turner (not reading bugmail, use the needinfo flag!) 2010-03-09 11:49:31 PST
Created attachment 431415 [details] [diff] [review]
Patch

I'm utterly surprised, but the nsISupportsHashKey implementation actually addrefs/releases its key value when used. Simple fix.
Comment 1 Mike Beltzner [:beltzner, not reading bugmail] 2010-03-12 13:18:31 PST
Comment on attachment 431415 [details] [diff] [review]
Patch

We're code frozen on 1.9.1.9 and 1.9.2.2, so moving these to the next version.

This will need to land and bake on trunk, first.
Comment 2 Ben Turner (not reading bugmail, use the needinfo flag!) 2010-03-12 13:57:26 PST
http://hg.mozilla.org/mozilla-central/rev/e68368ef5c04
Comment 3 Ben Turner (not reading bugmail, use the needinfo flag!) 2010-03-22 12:35:25 PDT
http://hg.mozilla.org/releases/mozilla-1.9.2/rev/d5bfbe40cf5f
Comment 4 Ben Turner (not reading bugmail, use the needinfo flag!) 2010-03-22 12:41:14 PDT
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/698585763a49
Comment 5 Reed Loden [:reed] (use needinfo?) 2010-03-22 12:45:23 PDT
Please don't remove the "needed" part from the blocking1.9.2/1.9.1 flags. That means something to drivers and should be left alone.
Comment 6 Mike Beltzner [:beltzner, not reading bugmail] 2010-03-24 12:40:50 PDT
I'm guessing that was an accident ... /me shakesfist at bugzilla!
Comment 7 Al Billings [:abillings] 2010-04-07 16:50:56 PDT
Is there anything for QA to verify with this bug? I suspect not.
Comment 8 Ben Turner (not reading bugmail, use the needinfo flag!) 2010-04-07 17:49:42 PDT
(In reply to comment #7)
> Is there anything for QA to verify with this bug? I suspect not.

Yeah, not really. I just magically hit it one day... It requires precise timing.

Note You need to log in before you can comment on or make changes to this bug.